@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800;900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    scroll-behavior: smooth;
    font-family: 'Poppins', sans-serif;
}

:root {
    /* --bg-color: #fdfdfd; */
    --bg-color:  rgb(245, 217, 180);
    --text-color: #333;
    --main-color: #0b70cf;
    --white-color: #fdfdfd;
    --shadow-color: rgba(0, 0, 0, .2);  
    --bgs-color: #fdfdfd;   
}

.dark-mode {
    --bg-color: #0b061f;
    --text-color: #fdfdfd;
    --shadow-color: #fdfdfd;
    --bgs-color: #0b061f;   
}

html {
    font-size: 62.5%;
    overflow-x: hidden;
}

body {
    /* background: rgb(218, 195, 195); */
    background: var(--bg-color);
    color: var(--text-color);
}

.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 2rem 7%;
    background-color: transparent;
    display: flex;
    align-items: center;
    z-index: 100;
    transition: .5s;
}


.header.sticky {
    background: var(--bgs-color);
    box-shadow: 0 .1rem 1rem var(--shadow-color);
}

.logo {
    font-size: 2.5rem;
    color: var(--main-color);
    font-weight: 600;
    cursor: default;
    margin-right: auto;
}

.navbar a {
    position: relative;
    font-size: 1.7rem;
    color: var(--white-color);
    font-weight: 500;
    margin-right: 3.5rem;
    transition: .3s;
    text-shadow: 
        0 0 2px black,
        0 0 2px black,
        0 0 2px black,
        0 0 2px black;
    }



.navbar a:hover {
    color: var(--main-color);
}


/* nav a {
    font-size: 18px;
    color: #fff;
    text-decoration: none;
    font-weight: 500;
    margin-left: 35px
} */

.header.sticky .navbar a {
    /* color: var(--text-color); */
    color: var(--white-color);
}

.header.sticky .navbar a:hover {
    color: var(--main-color);
}

.header.sticky .navbar a.active {
    color: var(--main-color);
}


.navbar a.active::before {
    content: '';
    position: absolute;
    left: 0;
    bottom: -4px;
    width: 100%;
    height: .2rem;
    background: var(--main-color);
}

.header.sticky .navbar a.active::before {
    background: var(--main-color);
    opacity: .7;
}


#darkmode {
    font-size: 2.4rem;
    color: var(--main-color);
    cursor: pointer;
}

.header.sticky #darkmode {
    color: var(--text-color);
    opacity: .9;
}

#menu-icon {
    font-size: 3.6rem;
    color: var(--text-color);
    display: none;
}

/* HOME SECTION */

section {
    min-height: 100vh;
    padding: 10rem 7% 2rem;
}

.home {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.home .home-content {
    max-width: 44rem;
}

.home-content h3 {
    font-size: 3.2rem;
    font-weight: 700;
    line-height: .3;
}

.home-content h1 {
    font-size: 5.6rem;
    font-weight: 700;
    margin-bottom: .3rem;
}

.home-content p {
    font-size: 1.6rem;
}

.home-content .social-media a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 4rem;
    height: 4rem;
    background: transparent;
    border: .25rem solid var(--main-color);
    border-radius: 50%;
    box-shadow: 0 .2rem .5rem var(--shadow-color);
    font-size: 2rem;
    color: var(--main-color);
    margin: 2.5rem 1.5rem 3rem 0;
    transition: .5s ease;
}

.home-content .social-media a:hover {
    background: var(--main-color);
    color: var(--white-color);
}

.btn {
    display: inline-block;
    padding: 1.2rem 2.8rem;
    background: var(--main-color);
    border-radius: .6rem;
    box-shadow: 0 .2rem .5rem var(--shadow-color);
    font-size: 1.6rem;
    color: var(--white-color);
    letter-spacing: .1rem;
    font-weight: 600;
    border: .2rem solid transparent;
    transition: .5s ease;
}

.btn:hover {
    background: transparent;
    color: var(--main-color);
    border-color: var(--main-color);
}

.home .profession-container {
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    width: 768px;
    height: 768px;
    /* background: red; */
    overflow: hidden;
    pointer-events: none;
}

.home .profession-container .profession-box {
    position: absolute;
    top: 0;
    right: 0;
    width: 768px;
    height: 768px;
    /* background: yellowgreen; */
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.home .profession-container .profession {
    position: absolute;
    left: 0;
    display: flex;
    align-items: center;
    flex-direction: column;
    /* color: var(--main-color); */
    color: transparent;
    transform: rotate(calc(360deg / 4 * var(--i)));
    transform-origin: 384px;
    /* background: var(--bg-color); */
    background: transparent;
    padding: 13px 0;
}

.home .profession-container .profession:nth-child(1) i {
    margin-right: 15px;
}

.home .profession-container .profession:nth-child(2),
.home .profession-container .profession:nth-child(4) {
    padding-bottom: 20px;
} 


.home .profession i {
    font-size: 3.8rem;
}

.home .profession h3 {
    font-size: 3.2rem;
    line-height: 1;
    font-weight: 600;
}

.home .profession-box .circle {
    width: 560px;
    height: 560px;
    /* border: 3px solid var(--main-color); */
    border: 3px solid transparent;
    border-radius: 50%;
}

.home .profession-container .overlay {
    position: absolute;
    top: 0;
    right: 0;
    width: 0;
    height: 0;
    /* border-top: 384px solid var(--main-color);
    border-bottom: 384px solid var(--main-color);
    border-right: 384px solid var(--main-color);
    border-left: 384px solid var(--main-color); */
    border-top: 384px solid transparent;
    border-bottom: 384px solid transparent;
    border-right: 384px solid transparent;
    border-left: 384px solid transparent;  
}

/* .home .box {
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    width: 768px;
    height: 768px;
    background: red;
    overflow: hidden;
    pointer-events: none;
} */

.home-img img {
    position: absolute;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    bottom: 0;
    right: 0;
    height: 400px;
    width: 400px;
    pointer-events: none;
}


/* ABOUT ME SECTION */
span {
    color: var(--main-color);
}

.about {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 4rem;
}

.about-img img {
    width: 25vw;
    border-radius: 50%;
    box-shadow:  0px 0px 50px var(--main-color);
}

.heading {
    font-size: 4.5rem;
    text-align: center;
}

.about-content h2 {
    text-align: left;
    line-height: 1.2;
}

.about-content h3 {
    font-size: 2rem;
}

.about-content p {
    font-size: 1.6rem;
    margin: 2rem 0 3rem;
}

/* SKILLS SECTION */
.skills {
    min-height: auto;
    padding-bottom: 7rem;
}

.skills h2 {
    margin-bottom: 5rem;
}

.skills .skills-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 2rem;
}

.skills-container .skills-box {
    flex: 1 1 20rem;
    background: var(--bgs-color);
    padding: 3rem 0.5rem 1rem;
    border-radius: 2rem;
    box-shadow: 0 .1rem .5rem var(--shadow-color);
    text-align: center;
    border-top: .6rem solid var(--main-color);
    border-left: .6rem solid var(--main-color);
    border-right: .6rem solid var(--main-color);
    border-bottom: .6rem solid var(--main-color);
    transition: .5 ease;
}

.skills-container .skills-box:hover {
    box-shadow: 0 .1rem 2rem var(--shadow-color);
    transform: scale(1.02);
}


.skills-box i {
    font-size: 5rem;
    color: var(--main-color);
}

.skills-box h3 {
    font-size: 2.5rem;
    transition: .5s ease;
}

.skills-box:hover h3 {
    color: var(--main-color);
}


.skills-box p {
    font-size: 1.6rem;
    margin: 1rem 0 3rem;
}

/* PROJECTS SECTION */

.projects {
    padding-bottom: 5rem;
}

.projects h2 {
    margin-bottom: 4rem;
}

.projects .projects-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    align-items: center;
    gap: 2.5rem;
}

.projects-container .projects-box {
    position: relative;
    display: flex;
    width: 100%;
    height: 200px;
    border-radius: 2rem;
    box-shadow: 0 0 1rem rgba(0, 0, 0, .1);
    overflow: hidden;

}

.projects-box img {
    width: 100%;
    transition: .5s ease;
    object-fit: cover; 
}

.projects-box:hover img {
    transform: scale(1.1);
}


.projects-box .projects-layer {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(rgba(0, 0, 0, .1), var(--main-color));
    color: var(--white-color);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: center;
    padding: 0 4rem;
    opacity: 0;
    transition: .5 ease;
}

.projects-box:hover .projects-layer {
    opacity: 1;
}


.projects-layer h4 {
    font-size: 3rem;
}

.projects-layer p {
    font-size: 1.6rem;
    margin: .3rem 0 1rem;
}

.projects-layer a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 5rem;
    height: 5rem;
    background: var(--white-color);
    border-radius: 50%;
    margin: 0 0.5rem;;
}

.projects-layer a i {
    font-size: 2rem;
    color: black;
}


/* CONTACT SECTION */

.contact {
    display: flex;
    justify-content: center;
    flex-direction: column;
    height: 70vh;
}

.contact .contact-container {
    display: flex;
    justify-content: center;
    border-radius: 4rem;
    border: rgb(53, 53, 53) 0.5rem solid;
    background: (250, 250, 250);
    margin: 2rem auto;
    padding: 0.5rem;
}

.contact-container .contact-info {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.54rem;
    margin: 1rem;
}

.contact-info p {
    font-size: 3rem;
}

.contact-info p a {
    color: var(--text-color);
}

.contact-info p a:hover {
    color: var(--main-color);
}

.contact-info i {
    cursor: default;
    font-size: 3rem;
}

/* FOOTER SECTION */

.footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    padding: 2rem 7%;
    background: var(--main-color);
}

.footer-text p {
    font-size: 1.6rem;
    color: var(--white-color);
}

.footer-icon a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    padding: .8rem;
    background: var(--white-color);
    border-radius: .8rem;
    border: .2rem solid var(--main-color);
    outline: .2rem solid transparent;
    transition: .5s ease;
}

.footer-icon a:hover {
    outline-color: var(--white-color);
}


.footer-icon a i {
    font-size: 2.4rem;
    color: #333;
}


/* BREAKPOINTS */
@media (max-width: 1200px) {
    html {
        font-size: 55%;
    }

    .home .profession-container {
        height: 85.8rem;
    }

    .home .profession-container.profession-box {
        right: -12rem;
        height: 85.8rem;
    }

    .home .profession-container.overlay {
        right: -9rem;
    }
}

@media (max-width: 1024px) {
    .header {
        padding: 2rem 3%;
    }

    section {
        padding: 10rem 3% 2rem;
    }

    .home .profession-container .profession-box {
        right: -22rem;
    }

    .home .profession-container .overlay {
        right: -15rem;
    }
}

@media (max-width: 991px) {
    .navbar a :nth-child(1),
    .navbar a :nth-child(2) {
        color: var(--main-color);
    }

    .navbar a.active::before {
        background: var(--main-color);
        opacity: .7;
    }

    .home .home-content {
        max-width: 50rem;
    }

    .home .profession-container .profession-box {
        right: -45rem;
    }

    .home .profession-container .overlay {
        right: -39.5rem;
    }

    .home-img img {
        display: none;
    }

    .skills,
    .projects {
        padding-bottom: 7rem;
    }

    .contact {
        min-height: auto;
    }

    .footer {
        padding: 2rem;
    }
    
    .contact-container .contact-info {
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 0.54rem;
        margin: 2rem;
    }
    
}

@media (max-width: 768px) {
    #menu-icon {
        display: block;
    }

    #darkmode {
        position: absolute;
        right: 7rem;
        font-size: 2.6rem;
        color: var(--text-color);
        margin-bottom: .1rem;
    }

    .navbar {
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        padding: 1rem 3%;
        background: var(--bg-color);
        border-top: .1rem solid rgba(0, 0, 0, .2);
        box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .1);
        display: none;
    }

    .navbar.active {
       display: block; 
    }

    .navbar a {
        display: block;
        font-size: 2rem;
        margin: 3rem 0;
        color: var(--text-color);
    }

    .navbar a:nth-child(1),
    .navbar a:nth-child(2) {
        columns: var(--text-color);
    }

    .navbar a.active {
        color: var(--main-color);
    }

    .navbar a::before {
        display: none;
    }

    .home {
        /* padding: 0 3% 5rem; */
        padding: 10rem 3% 5rem;        
        justify-content: center;
        text-align: center;
        display: flex;
        align-items: center;
    }

    .home-content h3{
        font-size: 2.6rem;
    }

    .home-content h1 {
        font-size: 5rem;
    }

    .home-content .social-media a {
        margin: 2.5rem .75rem 3rem;
    }

    .home .profession-container {
        left: 0;
        width: 100%;
        height: 100%;
    }

    .home .profession-container .profession-box {
        position: fixed;
        top: 60%;
        left: 0;
        border-radius: 0;
        width: 100%;
    }

    .home .profession-box .profession {
        padding: 0 10px;
        left: auto;
        transform-origin: 0;
    }

    .home .profession-box .profession:nth-child(1){
        transform: rotate(-90deg) translate(-120px, -210px);
    }

    .home .profession-box.profession:nth-child(1) i{
        margin-right: 0;
    }

    .home .profession-box .profession:nth-child(2){
        transform: rotate(0deg) translate(0px, -335px);
    }

    .home .profession-box .profession:nth-child(3){
        transform: rotate(90deg) translate(-115px, -450px);
    }

    .home .profession-box .profession:nth-child(4){
        transform: rotate(180deg) translate(-220px, -335px);
    }

    .home .profession-box .circle {
        position: fixed;
        width: 670px;
        height: 670px;
        z-index: -1;
    }

    .home .profession-container .overlay {
        position: fixed;
        top: 70rem;
        left: 50%;
        right: 0;
        transform: rotate(90deg) translate(-50%, 50%), scaleY(3);
        border-width: 23.9rem;
    }

    .about {
        flex-direction: column-reverse;
        text-align: center;
    }

    .about-content h2 {
        text-align: center;
    }

    .about-img img {
        width: 70vw;
        margin-top: -2rem;
    }

    .skills h2,
    .projects h2 {
        margin-bottom: 3rem;
    }

    .projects .projects-container {
        grid-template-columns: repeat(2, 1fr);
    }
    
    .contact-container .contact-info {
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 0.54rem;
        margin: 2rem;
    }
    
    .contact-info p {
        font-size: 4rem;
    }
    
    .contact-info i {
        cursor: default;
        font-size: 4rem;
    }
}

@media (max-width: 617px) {
    .projects .projects-container {
        grid-template-columns: 1fr;
    }

    .contact-container .contact-info {
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 0.54rem;
        margin: 2rem;
    }
    
    .contact-info p {
        font-size: 3rem;
    }
    
    .contact-info i {
        cursor: default;
        font-size: 3rem;
    }
}

@media (max-width: 450px) {
    html {
        font-size: 50%;
    }

    #darkmode {
        right: 6rem;
    }

    .home {
        padding: 10rem 3% 5rem;        
        display: flex;
        align-items: center;
        justify-content: center;
        text-align: center;
    }

    .home .profession-box .profession:nth-child(1) {
        transform: rotate(-90deg) translate(-110px, -220px);
    }

    .home .profession-box .profession:nth-child(2) {
        transform: rotate(0deg) translate(5px, -335px);
    }

    .home .profession-box .profession:nth-child(3) {
        transform: rotate(90deg) translate(-105px, -440px);
    }

    .home .profession-box .profession:nth-child(4) {
        transform: rotate(180deg) translate(-210px, -335px);
    }
    
    .contact-container .contact-info {
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 0.54rem;
        margin: 1rem;
    }
    
    .contact-info p {
        font-size: 2rem;
    }
    
    .contact-info i {
        cursor: default;
        font-size: 2rem;
    }
}

@media (max-width: 365px) {
    .about-img img {
        width: 90vw;
    }

    .footer {
        flex-direction: column-reverse;
    }

    .footer p {
        text-align: center;
        margin-top: 2rem;
    }

    .contact-container .contact-info {
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 0.54rem;
        margin: 0.5rem;
    }

    .contact-container .contact-info {
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 0.54rem;
        margin: 1rem;
    }
    
    .contact-info p {
        font-size: 2rem;
    }
    
    .contact-info i {
        cursor: default;
        font-size: 2rem;
    }

    .home {
        display: flex;
        align-items: center;
        justify-content: center;
        text-align: center;
    }
}







